//
// Cooler dos Steppers Mesa XYZ
//
$fs=0.2;  // resolução das curvas

module base()
{
  difference(){
    translate([-21.5,-21,0]){ cube([43,42,1.8]);}
    translate([15.75,15.75,0]){ cylinder(r=3.5/2,h=1.8);}
    translate([-15.75,15.75,0]){ cylinder(r=3.5/2,h=1.8);}
    translate([15.75,-15.75,0]){ cylinder(r=3.5/2,h=1.8);}
    translate([-15.75,-15.75,0]){ cylinder(r=3.5/2,h=1.8);}
    cylinder(r=38/2,h=1.8);
  }
}

module caixa()
{
  difference(){ // lábio inferior
   translate([-29,-21.0]){ cube([58,1.8,6.8]);}
   translate([21.5,-21,0]){ rotate(a=[0,45,0]){ cube([12,2,12]);}}
   translate([-21.5,-21,0]){ rotate(a=[0,225,0]){ cube([12,2,12]);}}
  }
  difference(){ // lábio superior
   translate([-29,19.2,0]){ cube([58,1.8,6.8]);}
   translate([21.5,19.2,0]){ rotate(a=[0,45,0]){ cube([12,2,12]);}}
   translate([-21.5,19.2,0]){ rotate(a=[0,225,0]){ cube([12,2,12]);}}
  }
  difference(){
   translate([21.5,-21,0]){ rotate(a=[0,-45,0]){ cube([16.4,42,1.8]);}}
   translate([30.5,-21,11.6]){ cube([3,8,2]);}
  }
  translate([31.25,-13,11.6]){ cube([1.8,34,20]);}
  mirror([1,0,0]){
   difference(){
    translate([21.5,-21,0]){ rotate(a=[0,-45,0]){ cube([16.4,42,1.8]);}}
    translate([30.5,-21,11.6]){ cube([3,8,2]);}
  }
   translate([31.25,-13,11.6]){ cube([1.8,34,20]);}
  }
}

module suporte(){
 difference(){
  translate([24.5,-13,4.6]){
   difference(){
    cube([7,1.8,27]);
    translate([3.5,0,18]){ rotate(a=[-90,0,0]){ cylinder(r=3.5/2,h=1.8);}}
   }
  }
  translate([21.5,-13,0]){ rotate(a=[0,45,0]){ cube([8,2,20]);}}
 }
}

base();
caixa();
suporte();
mirror([1,0,0]){suporte();}


