//
// Cooler dos Steppers Mesa XYZ
// eixo Y
//
$fs=0.2;  // resolução das curvas

module base()
{
  difference(){
    translate([-21.5,-21,0]){ cube([43,42,1.8]);}
    translate([15.9,15.9,0]){ cylinder(r=3.8/2,h=1.8);}
    translate([-15.9,15.9,0]){ cylinder(r=3.8/2,h=1.8);}
    translate([15.9,-15.9,0]){ cylinder(r=3.8/2,h=1.8);}
    translate([-15.9,-15.9,0]){ cylinder(r=3.8/2,h=1.8);}
    cylinder(r=38/2,h=1.8);
  }
}

module caixa()
{
  difference(){ // lábio inferior
   translate([-29,-21.0]){ cube([58,1.8,6.8]);}
   translate([21.5,-21,0]){ rotate(a=[0,45,0]){ cube([12,2,12]);}}
   translate([-21.5,-21,0]){ rotate(a=[0,225,0]){ cube([12,2,12]);}}
  }
  difference(){ // lábio superior
   translate([-29,19.2,0]){ cube([58,1.8,6.8]);}
   translate([21.5,19.2,0]){ rotate(a=[0,45,0]){ cube([12,2,12]);}}
   translate([-21.5,19.2,0]){ rotate(a=[0,225,0]){ cube([12,2,12]);}}
  }
   translate([21.5,-21,0]){ rotate(a=[0,-45,0]){ cube([16.4,42,1.8]);}}
  mirror([1,0,0])
    translate([21.5,-21,0]){ rotate(a=[0,-45,0]){ cube([16.4,42,1.8]);}}
}

module lateral(){
 difference(){
  translate([31.25,-21,11.6]){ cube([1.8,42,25]);}
  translate([31.25,-13.5,31.6]){ cube([1.8,6.5,10]);}
#  translate([31.25,-21,21.6]){ cube([1.8,8,20]);}
 }
}

module suporte(){
 difference(){
  translate([24.5,-13,4.6]){
   difference(){
    cube([7,1.8,27]);
    translate([3.5,0,18]){ rotate(a=[-90,0,0]){ cylinder(r=3.5/2,h=1.8);}}
   }
  }
  translate([21.5,-13,0]){ rotate(a=[0,45,0]){ cube([8,2,20]);}}
 }
}

module suporte2(){
 difference(){
  translate([28,-17,4.3]) cylinder(r=8/2,h=8);
#  translate([28,-17,4.3]) cylinder(r=3/2,h=8);
 }
}

module tudo(){
  base();
  caixa();
  //suporte();
  //mirror([1,0,0]){suporte();}
  lateral();
  mirror([1,0,0]){lateral();}
  //suporte2();
  translate([28,-17,0]) cylinder(r=8/2,h=21.5);
  translate([-28,-17,0]) cylinder(r=8/2,h=21.5);

}

difference(){
 tudo();
 translate([28,-17,0]) cylinder(r=3/2,h=21.5);
 translate([-28,-17,0]) cylinder(r=3/2,h=21.5);
}
